package com.czsj.dataCenter.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.czsj.common.annotation.Excel;
import com.czsj.common.core.domain.BaseEntity;

/**
 * 任务配置组成数据对象 data_task_make_up_entity
 * 
 * @author czsj
 * @date 2024-12-08
 */
public class DataTaskMakeUpEntity extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Integer id;

    /** 类别名称 */
    @Excel(name = "类别名称")
    private String typeName;

    /** name值 */
    @Excel(name = "name值")
    private String nameValue;

    /** args参数值 */
    @Excel(name = "args参数值")
    private String argsValue;

    /** 任务ID */
    @Excel(name = "任务ID")
    private String taskId;

    /** 排序号 */
    @Excel(name = "排序号")
    private Integer tabIndex;

    /** 有效标识，0有效，1无效 */
    private Integer delFlag;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Integer createUserId;

    /** 修改人ID */
    @Excel(name = "修改人ID")
    private Integer updateUserId;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setTypeName(String typeName) 
    {
        this.typeName = typeName;
    }

    public String getTypeName() 
    {
        return typeName;
    }
    public void setNameValue(String nameValue) 
    {
        this.nameValue = nameValue;
    }

    public String getNameValue() 
    {
        return nameValue;
    }
    public void setArgsValue(String argsValue) 
    {
        this.argsValue = argsValue;
    }

    public String getArgsValue() 
    {
        return argsValue;
    }
    public void setTaskId(String taskId) 
    {
        this.taskId = taskId;
    }

    public String getTaskId() 
    {
        return taskId;
    }
    public void setTabIndex(Integer tabIndex) 
    {
        this.tabIndex = tabIndex;
    }

    public Integer getTabIndex() 
    {
        return tabIndex;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setCreateUserId(Integer createUserId) 
    {
        this.createUserId = createUserId;
    }

    public Integer getCreateUserId() 
    {
        return createUserId;
    }
    public void setUpdateUserId(Integer updateUserId) 
    {
        this.updateUserId = updateUserId;
    }

    public Integer getUpdateUserId() 
    {
        return updateUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("typeName", getTypeName())
            .append("nameValue", getNameValue())
            .append("argsValue", getArgsValue())
            .append("taskId", getTaskId())
            .append("tabIndex", getTabIndex())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("createUserId", getCreateUserId())
            .append("updateUserId", getUpdateUserId())
            .toString();
    }
}
